org.eclipse.ease

## Class ScriptEngineException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.ease.ScriptEngineException

All Implemented Interfaces:
  Serializable

    public class ScriptEngineException
    extends Exception

A checked exception to indicate a script engine exception.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScriptEngineException()`
`ScriptEngineException(String message)`
`ScriptEngineException(String message, Throwable cause)`
`ScriptEngineException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScriptEngineException

    public ScriptEngineException()

See Also:
  `Exception.Exception()`

#### ScriptEngineException

    public ScriptEngineException(String message)

See Also:
  `Exception.Exception(String)`

#### ScriptEngineException

    public ScriptEngineException(Throwable cause)

See Also:
  `Exception.Exception(Throwable)`

#### ScriptEngineException

    public ScriptEngineException(String message,
                                 Throwable cause)

See Also:
  `Exception.Exception(String, Throwable)`